(function init(e) {

	var data = [{
		id : 'AD',
		desc : 'Andorra'
	}, {
		id : 'AE',
		desc : 'United Arab Emirates'
	}, {
		id : 'AF',
		desc : 'Afghanistan'
	}, {
		id : 'AG',
		desc : 'Antigua and Barbuda'
	}, {
		id : 'AI',
		desc : 'Anguilla'
	}];

	$.listView.sections[0].appendItems(preprocessForListView(data));

	$.index.open();
})();

function preprocessForListView(rawData) {

	return _.map(rawData, function(item) {

		return {
			id : item.id,
			properties : {
				accessoryType : Titanium.UI.LIST_ACCESSORY_TYPE_NONE
			},
			description : {
				text : item.desc
			},
			populationView : {
				height : 0,
				visible : false
			}
		};
	});
};

function rowClick(e) {
	var selItem = $.listView.sections[0].getItemAt(e.itemIndex);
	var selItemProp = selItem.properties;

	selItem.populationView.visible = true;
	selItem.populationView.height = Ti.UI.SIZE;

	selItemProp.accessoryType = Titanium.UI.LIST_ACCESSORY_TYPE_CHECKMARK;
	selItem.properties = selItemProp;

	$.listView.sections[0].updateItemAt(e.itemIndex, selItem);

}

